Package org.apache.sling.feature.maven.extensions

# Class FeatureArtifactHandler

java.lang.Object
org.apache.maven.artifact.handler.DefaultArtifactHandler
org.apache.sling.feature.maven.extensions.FeatureArtifactHandler

All Implemented Interfaces:
  `org.apache.maven.artifact.handler.ArtifactHandler`

@Singleton @Named("slingosgifeature") public class FeatureArtifactHandler extends org.apache.maven.artifact.handler.DefaultArtifactHandler

## Field Summary

### Fields inherited from interface org.apache.maven.artifact.handler.ArtifactHandler

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`FeatureArtifactHandler()`

## Method Summary

### Methods inherited from class org.apache.maven.artifact.handler.DefaultArtifactHandler

`getClassifier, getDirectory, getExtension, getLanguage, getPackaging, getType, isAddedToClasspath, isIncludesDependencies, setAddedToClasspath, setExtension, setIncludesDependencies, setLanguage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FeatureArtifactHandler

public FeatureArtifactHandler()